import { Component, ViewChild, OnInit } from '@angular/core';
import { EventSettingsModel, DayService, ActionEventArgs, WeekService, ScheduleComponent, WorkWeekService, MonthService, AgendaService } from '@syncfusion/ej2-angular-schedule';
import { DataManager, UrlAdaptor } from '@syncfusion/ej2-data';

@Component({
  selector: 'app-root',
  templateUrl: 'app.component.html',
  providers: [DayService, WeekService, WorkWeekService, MonthService, AgendaService],
})

export class AppComponent implements OnInit {
  private dataManager: DataManager = new DataManager({
    url: 'http://localhost:5000/GetData',
    crudUrl: 'http://localhost:5000/BatchData',
    adaptor: new UrlAdaptor,
    crossDomain: true
  });
  @ViewChild('scheduleObj')
  public scheduleObj: ScheduleComponent;
  public email: string;
  public userName: string;
  public eventSettings: EventSettingsModel = { dataSource: this.dataManager };
  public selectedDate: Date;
  ngOnInit(): void {
    this.selectedDate = new Date(2018, 1, 14);
    this.email = "username@gmail.com"; // Here we used static email address for your reference. Kindly map your currently logined user email to achieve your scenario.
    this.userName = "username"; // Here we used static user name for your reference. Kindly map your currently logined username to achieve your scenario.
  }
  onActionBegin(args: ActionEventArgs): void {
    if (args.requestType === "eventCreate") {
      args.data[0].CreateBy = this.email;
      args.data[0].UserName = this.userName;
    }
  }
}